Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network9.167.68.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
9.167.68.0
Broadcast address
9.167.71.255
First usable
9.167.68.1
Last usable
9.167.71.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 09A74400 · Integer 161956864 to 161957887
Reverse DNS zones
68.167.9.in-addr.arpa
69.167.9.in-addr.arpa
70.167.9.in-addr.arpa
71.167.9.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001001.10100111.01000100.000000009.167.68.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00001001.10100111.01000100.000000009.167.68.0
Broadcast00001001.10100111.01000111.111111119.167.71.255
Split into smaller subnets/28

9.167.68.0/22 makes 64 subnets of /28.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
19.167.68.0/289.167.68.1 to 9.167.68.149.167.68.1514
29.167.68.16/289.167.68.17 to 9.167.68.309.167.68.3114
39.167.68.32/289.167.68.33 to 9.167.68.469.167.68.4714
49.167.68.48/289.167.68.49 to 9.167.68.629.167.68.6314
59.167.68.64/289.167.68.65 to 9.167.68.789.167.68.7914
69.167.68.80/289.167.68.81 to 9.167.68.949.167.68.9514
79.167.68.96/289.167.68.97 to 9.167.68.1109.167.68.11114
89.167.68.112/289.167.68.113 to 9.167.68.1269.167.68.12714
99.167.68.128/289.167.68.129 to 9.167.68.1429.167.68.14314
109.167.68.144/289.167.68.145 to 9.167.68.1589.167.68.15914
119.167.68.160/289.167.68.161 to 9.167.68.1749.167.68.17514
129.167.68.176/289.167.68.177 to 9.167.68.1909.167.68.19114
139.167.68.192/289.167.68.193 to 9.167.68.2069.167.68.20714
149.167.68.208/289.167.68.209 to 9.167.68.2229.167.68.22314
159.167.68.224/289.167.68.225 to 9.167.68.2389.167.68.23914
169.167.68.240/289.167.68.241 to 9.167.68.2549.167.68.25514
179.167.69.0/289.167.69.1 to 9.167.69.149.167.69.1514
189.167.69.16/289.167.69.17 to 9.167.69.309.167.69.3114
199.167.69.32/289.167.69.33 to 9.167.69.469.167.69.4714
209.167.69.48/289.167.69.49 to 9.167.69.629.167.69.6314
219.167.69.64/289.167.69.65 to 9.167.69.789.167.69.7914
229.167.69.80/289.167.69.81 to 9.167.69.949.167.69.9514
239.167.69.96/289.167.69.97 to 9.167.69.1109.167.69.11114
249.167.69.112/289.167.69.113 to 9.167.69.1269.167.69.12714
259.167.69.128/289.167.69.129 to 9.167.69.1429.167.69.14314
269.167.69.144/289.167.69.145 to 9.167.69.1589.167.69.15914
279.167.69.160/289.167.69.161 to 9.167.69.1749.167.69.17514
289.167.69.176/289.167.69.177 to 9.167.69.1909.167.69.19114
299.167.69.192/289.167.69.193 to 9.167.69.2069.167.69.20714
309.167.69.208/289.167.69.209 to 9.167.69.2229.167.69.22314
319.167.69.224/289.167.69.225 to 9.167.69.2389.167.69.23914
329.167.69.240/289.167.69.241 to 9.167.69.2549.167.69.25514
339.167.70.0/289.167.70.1 to 9.167.70.149.167.70.1514
349.167.70.16/289.167.70.17 to 9.167.70.309.167.70.3114
359.167.70.32/289.167.70.33 to 9.167.70.469.167.70.4714
369.167.70.48/289.167.70.49 to 9.167.70.629.167.70.6314
379.167.70.64/289.167.70.65 to 9.167.70.789.167.70.7914
389.167.70.80/289.167.70.81 to 9.167.70.949.167.70.9514
399.167.70.96/289.167.70.97 to 9.167.70.1109.167.70.11114
409.167.70.112/289.167.70.113 to 9.167.70.1269.167.70.12714
419.167.70.128/289.167.70.129 to 9.167.70.1429.167.70.14314
429.167.70.144/289.167.70.145 to 9.167.70.1589.167.70.15914
439.167.70.160/289.167.70.161 to 9.167.70.1749.167.70.17514
449.167.70.176/289.167.70.177 to 9.167.70.1909.167.70.19114
459.167.70.192/289.167.70.193 to 9.167.70.2069.167.70.20714
469.167.70.208/289.167.70.209 to 9.167.70.2229.167.70.22314
479.167.70.224/289.167.70.225 to 9.167.70.2389.167.70.23914
489.167.70.240/289.167.70.241 to 9.167.70.2549.167.70.25514
499.167.71.0/289.167.71.1 to 9.167.71.149.167.71.1514
509.167.71.16/289.167.71.17 to 9.167.71.309.167.71.3114
519.167.71.32/289.167.71.33 to 9.167.71.469.167.71.4714
529.167.71.48/289.167.71.49 to 9.167.71.629.167.71.6314
539.167.71.64/289.167.71.65 to 9.167.71.789.167.71.7914
549.167.71.80/289.167.71.81 to 9.167.71.949.167.71.9514
559.167.71.96/289.167.71.97 to 9.167.71.1109.167.71.11114
569.167.71.112/289.167.71.113 to 9.167.71.1269.167.71.12714
579.167.71.128/289.167.71.129 to 9.167.71.1429.167.71.14314
589.167.71.144/289.167.71.145 to 9.167.71.1589.167.71.15914
599.167.71.160/289.167.71.161 to 9.167.71.1749.167.71.17514
609.167.71.176/289.167.71.177 to 9.167.71.1909.167.71.19114
619.167.71.192/289.167.71.193 to 9.167.71.2069.167.71.20714
629.167.71.208/289.167.71.209 to 9.167.71.2229.167.71.22314
639.167.71.224/289.167.71.225 to 9.167.71.2389.167.71.23914
649.167.71.240/289.167.71.241 to 9.167.71.2549.167.71.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses